Uses of Interface
org.apache.camel.builder.endpoint.dsl.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder
Packages that use VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder
-
Uses of VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderModifier and TypeMethodDescriptionVert.x HTTP Client (camel-vertx-http) Send requests to external HTTP servers using Vert.x Category: http Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-http Syntax:vertx-http:httpUriPath parameter: httpUri (required) The HTTP URI to connect toVert.x HTTP Client (camel-vertx-http) Send requests to external HTTP servers using Vert.x Category: http Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-http Syntax:vertx-http:httpUriPath parameter: httpUri (required) The HTTP URI to connect to -
Uses of VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilderModifier and TypeMethodDescriptionVertxHttpEndpointBuilderFactory.AdvancedVertxHttpEndpointBuilder.basic()VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.basicAuthPassword(String basicAuthPassword) The password to use for basic authentication.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.basicAuthUsername(String basicAuthUsername) The user name to use for basic authentication.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.bearerToken(String bearerToken) The bearer token to use for bearer token authentication.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.connectTimeout(int connectTimeout) The amount of time in milliseconds until a connection is established.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.connectTimeout(String connectTimeout) The amount of time in milliseconds until a connection is established.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.cookieStore(io.vertx.ext.web.client.spi.CookieStore cookieStore) A custom CookieStore to use when session management is enabled.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.cookieStore(String cookieStore) A custom CookieStore to use when session management is enabled.VertxHttpEndpointBuilderFactory.endpointBuilder(String componentName, String path) VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.headerFilterStrategy(String headerFilterStrategy) A custom org.apache.camel.spi.HeaderFilterStrategy to filter header to and from Camel message.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.headerFilterStrategy(org.apache.camel.spi.HeaderFilterStrategy headerFilterStrategy) A custom org.apache.camel.spi.HeaderFilterStrategy to filter header to and from Camel message.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.httpMethod(io.vertx.core.http.HttpMethod httpMethod) The HTTP method to use.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.httpMethod(String httpMethod) The HTTP method to use.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.okStatusCodeRange(String okStatusCodeRange) The status codes which are considered a success response.The proxy server host address.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyPassword(String proxyPassword) The proxy server password if authentication is required.The proxy server port.The proxy server port.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyType(io.vertx.core.net.ProxyType proxyType) The proxy server type.The proxy server type.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.proxyUsername(String proxyUsername) The proxy server username if authentication is required.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.responsePayloadAsByteArray(boolean responsePayloadAsByteArray) Whether the response body should be byte or as io.vertx.core.buffer.Buffer.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.responsePayloadAsByteArray(String responsePayloadAsByteArray) Whether the response body should be byte or as io.vertx.core.buffer.Buffer.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sessionManagement(boolean sessionManagement) Enables session management via WebClientSession.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sessionManagement(String sessionManagement) Enables session management via WebClientSession.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sslContextParameters(String sslContextParameters) To configure security using SSLContextParameters.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.sslContextParameters(org.apache.camel.support.jsse.SSLContextParameters sslContextParameters) To configure security using SSLContextParameters.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.throwExceptionOnFailure(boolean throwExceptionOnFailure) Disable throwing HttpOperationFailedException in case of failed responses from the remote server.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.throwExceptionOnFailure(String throwExceptionOnFailure) Disable throwing HttpOperationFailedException in case of failed responses from the remote server.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.timeout(long timeout) The amount of time in milliseconds after which if the request does not return any data within the timeout period a TimeoutException fails the request.The amount of time in milliseconds after which if the request does not return any data within the timeout period a TimeoutException fails the request.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.transferException(boolean transferException) If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was sent back serialized in the response as a application/x-java-serialized-object content type.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.transferException(String transferException) If enabled and an Exchange failed processing on the consumer side, and if the caused Exception was sent back serialized in the response as a application/x-java-serialized-object content type.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.useCompression(boolean useCompression) Set whether compression is enabled to handled compressed (E.g gzipped) responses.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.useCompression(String useCompression) Set whether compression is enabled to handled compressed (E.g gzipped) responses.Vert.x HTTP Client (camel-vertx-http) Send requests to external HTTP servers using Vert.x Category: http Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-http Syntax:vertx-http:httpUriPath parameter: httpUri (required) The HTTP URI to connect toVert.x HTTP Client (camel-vertx-http) Send requests to external HTTP servers using Vert.x Category: http Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-http Syntax:vertx-http:httpUriPath parameter: httpUri (required) The HTTP URI to connect toVertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.vertxHttpBinding(String vertxHttpBinding) A custom VertxHttpBinding which can control how to bind between Vert.x and Camel.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.vertxHttpBinding(org.apache.camel.component.vertx.http.VertxHttpBinding vertxHttpBinding) A custom VertxHttpBinding which can control how to bind between Vert.x and Camel.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.webClientOptions(io.vertx.ext.web.client.WebClientOptions webClientOptions) Sets customized options for configuring the Vert.x WebClient.VertxHttpEndpointBuilderFactory.VertxHttpEndpointBuilder.webClientOptions(String webClientOptions) Sets customized options for configuring the Vert.x WebClient.